 package com.tanpu.feo.feojob.entity.jyzy;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Entity
 *
 * @author zejia zj wu 2021年05月26日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("team")
public class JyzyTeamEntity implements Serializable {

    private static final long serialVersionUID = 1L;
	/** 团队名称 */
	private String teamName;
	/** 上级团队Id */
	private String pId;
	/** 全路径 */
	private String fullPathId;
	/** 机构Id */
	private String orgId;
	/**  */
	private String fullPathName;
	/** 创建时间 */
	private Date createTime;
	/** 创建人 */
	private String createBy;
	/** 修改时间 */
	private Date updateTime;
	/** 修改人 */
	private String updateBy;
	/** 删除标识 */
	private String deleteTag;
	/** 团队类型 */
	private Integer teamCategory;
	/** 团队业务性质 */
	private String teamNature;
	/** 自由加入开关 */
	private Integer freeJoinSwitch;
	/** 自由退出开关 */
	private Integer freeWithdrawalSwitch;
	/** 停止招募开关 */
	private Integer recruitmentSwitch;
	/** 停止运营开关 */
	private Integer closedSwitch;
	/** 邀请说明 */
	private String teamDesc;
	/** 内容审核者 */
	private String contentReviewer;
	/** 部门总人数 */
	private Integer teamPersonNum;

	/** ID */
	private String id;

    /** id 构造器*/
    public JyzyTeamEntity(String id) {
       setId(id);
    }
}
